Subject: RE: [External] : bug#49278: 28.0.50; Lisp Mode is for Common Lisp

From: Drew Adams <[email-masked]>
Date: Mon, 27 Sep 2021 23:24:07 +0000

> >> >> "Because it's only appropriate for Common Lisp."  Good enough?
> >> > No.  We don't know that.  We can't know that.
> >>
> >> Whether it works for other modes is not important.  What we should
> >> document is what it's intended to support.
> >>
> >> People have used `c-mode` for many other languages than C over the
> >> years, yet we haven't changed its documentation to say it for C-like
> >> languages.
> >>
> >> I don't understand why `lisp-mode` should be treated differently.
> >
> > I don't see how what you're saying is different
> > from what I said, but I sense that you intend
> > it to mean something different.
> 
> AFAIK you're arguing that we should not say "lisp-mode is designed for
> Common-Lisp"

No.  I was saying that I don't see why we should
say that "lisp-mode is only for Common Lisp".

> on the basis that some users may be able to use for some
> other languages, whereas I argue it doesn't matter what other languages
> it may be used for unless we know and care about them to some extent.

It matters, I think, if the mode is called "Lisp mode".

> > It's a Lisp mode.  (George: "Is there a
> > rosy hue?"  Jerry: "There's...a...hue")
> 
> No, that's the thing, it's a Common Lisp mode, not just "any Lisp" mode.

Then call it such, if you're sure it's useful
only for Common Lisp.

> Why should the name of the major mode be relevant to this discussion?

Why indeed.  `irrelevant-mode'? `mystery-mode'?
I'd like to call it `fortran-mode', but I guess
that's out.